import { QueryKey, QueryClient } from '@tanstack/react-query';
import { QueryCallbacks } from '../index.js';
import '@tanstack/query-core';

interface UseQueryCallbacksProps<TQueryFnData, TError> extends QueryCallbacks<TQueryFnData, TError> {
    queryKey: QueryKey;
    /**
     * QueryClient instance
     */
    queryClient?: QueryClient;
}
declare function useQueryCallbacks<TQueryFnData = unknown, TError = unknown>(props: UseQueryCallbacksProps<TQueryFnData, TError>): void;

export { type UseQueryCallbacksProps, useQueryCallbacks };
